package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.ylx.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 技师数据统计(TJsDay)表实体类
 *
 * @author makejava
 * @since 2024-08-14 18:00:31
 */
@SuppressWarnings("serial")
public class TJsDay extends Model<TJsDay> {
    //主键

    @TableField("order_no")
    @ApiModelProperty("订单号")
    private String id;
    //在线时长
    @Excel(name = "在线时长")
    private Integer onLine;
    //订单数
    @Excel(name = "订单数")
    private Integer orderNum;
    //营业额
    @Excel(name = "营业额")
    private BigDecimal turnover;
    //加钟数
    @Excel(name = "加钟数")
    private Integer addNum;
    //升级数
    @Excel(name = "升级数")
    private Integer upgradeNum;
    //充值
    @Excel(name = "充值")
    private BigDecimal recharge;
    //技师id
    private String jsId;
    //技师openid
    private String openId;
    //统计日期
    @Excel(name = "统计日期")
    private String countDate;
    //技师姓名
    @Excel(name = "技师姓名")
    private String name;
    //部门id
    private String deptId;
    //部门名称
    @Excel(name = "部门名称")
    private String deptName;
    //系统创建时间
    private Date createTime;
    //系统修改时间
    private Date updateTime;
    //是否删除0否1是
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getOnLine() {
        return onLine;
    }

    public void setOnLine(Integer onLine) {
        this.onLine = onLine;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public BigDecimal getTurnover() {
        return turnover;
    }

    public void setTurnover(BigDecimal turnover) {
        this.turnover = turnover;
    }

    public Integer getAddNum() {
        return addNum;
    }

    public void setAddNum(Integer addNum) {
        this.addNum = addNum;
    }

    public Integer getUpgradeNum() {
        return upgradeNum;
    }

    public void setUpgradeNum(Integer upgradeNum) {
        this.upgradeNum = upgradeNum;
    }

    public BigDecimal getRecharge() {
        return recharge;
    }

    public void setRecharge(BigDecimal recharge) {
        this.recharge = recharge;
    }

    public String getJsId() {
        return jsId;
    }

    public void setJsId(String jsId) {
        this.jsId = jsId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getCountDate() {
        return countDate;
    }

    public void setCountDate(String countDate) {
        this.countDate = countDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

